---
lang: en
title: 'API docs: tsdocs.runextractorforpackage'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.runextractorforpackage.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [runExtractorForPackage](./tsdocs.runextractorforpackage.md)

## runExtractorForPackage() function

**Signature:**

```typescript
export declare function runExtractorForPackage(pkgDir?: string, options?: ExtractorOptions): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

pkgDir


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

options


</td><td>

[ExtractorOptions](./tsdocs.extractoroptions.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>
**Returns:**

void


